Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.message.body.content
Interface MapBody

All Superinterfaces:
  Body

    public interface MapBody

extends Body

The Message payload contains a Map of serializable Objects that can be inserted and retrieved as a Map.

Field Summary

Fields inherited from interface org.jboss.soa.esb.message.Body
`DEFAULT_LOCATION`

Method Summary
`boolean` | `getBoolean(java.lang.String name)`
`byte` | `getByte(java.lang.String name)`
`byte[]` | `getBytes(java.lang.String name)`
`char` | `getChar(java.lang.String name)`
`double` | `getDouble(java.lang.String name)`
`float` | `getFloat(java.lang.String name)`
`int` | `getInt(java.lang.String name)`
`long` | `getLong(java.lang.String name)`
`java.util.Enumeration<java.lang.String>` | `getMapNames()`
`java.lang.String` | `getString(java.lang.String name)`
`boolean` | `itemExists(java.lang.String name)`
`void` | `setBoolean(java.lang.String name, boolean val)`
`void` | `setByte(java.lang.String name, byte val)`
`void` | `setBytes(java.lang.String name, byte[] val)`
`void` | `setChar(java.lang.String name, char val)`
`void` | `setDouble(java.lang.String name, double val)`
`void` | `setFloat(java.lang.String name, float val)`
`void` | `setInt(java.lang.String name, int val)`
`void` | `setLong(java.lang.String name, long val)`
`void` | `setMap(java.util.Map<java.lang.String,java.io.Serializable> payload)`
`void` | `setString(java.lang.String name, java.lang.String val)`

Methods inherited from interface org.jboss.soa.esb.message.Body
`add, add, get, get, getByteArray, getContents, getNames, merge, remove, replace, setByteArray, setContents`

Method Detail

### setMap

    void setMap(java.util.Map<java.lang.String,java.io.Serializable> payload)

### getBoolean

    boolean getBoolean(java.lang.String name)
                       throws InvalidPayloadException

  Throws:
    `InvalidPayloadException`

### getByte

    byte getByte(java.lang.String name)
                 throws InvalidPayloadException

  Throws:
    `InvalidPayloadException`

### getBytes

    byte[] getBytes(java.lang.String name)
                    throws InvalidPayloadException

  Throws:
    `InvalidPayloadException`

### getFloat

    float getFloat(java.lang.String name)
                   throws InvalidPayloadException

  Throws:
    `InvalidPayloadException`

### getDouble

    double getDouble(java.lang.String name)
                     throws InvalidPayloadException

  Throws:
    `InvalidPayloadException`

### getChar

    char getChar(java.lang.String name)
                 throws InvalidPayloadException

  Throws:
    `InvalidPayloadException`

### getInt

    int getInt(java.lang.String name)
               throws InvalidPayloadException

  Throws:
    `InvalidPayloadException`

### getLong

    long getLong(java.lang.String name)
                 throws InvalidPayloadException

  Throws:
    `InvalidPayloadException`

### getString

    java.lang.String getString(java.lang.String name)
                               throws InvalidPayloadException

  Throws:
    `InvalidPayloadException`

### getMapNames

    java.util.Enumeration<java.lang.String> getMapNames()

### itemExists

    boolean itemExists(java.lang.String name)

### setBoolean

    void setBoolean(java.lang.String name,
                    boolean val)

### setByte

    void setByte(java.lang.String name,
                 byte val)

### setBytes

    void setBytes(java.lang.String name,
                  byte[] val)

### setFloat

    void setFloat(java.lang.String name,
                  float val)

### setDouble

    void setDouble(java.lang.String name,
                   double val)

### setChar

    void setChar(java.lang.String name,
                 char val)

### setInt

    void setInt(java.lang.String name,
                int val)

### setLong

    void setLong(java.lang.String name,
                 long val)

### setString

    void setString(java.lang.String name,
                   java.lang.String val)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD